Redmine - Feature #11784

{direction:rtl} doesn't work in text formatting
Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

I need to write wiki/issue text in Right-to-Left languages
searching issue list , | found that "{background:color}" is added 7 months ago (revision r8860 , feature #2416)
Now , | need it to write {direction:rtl;text-align:right} or p{direction:rtl}>. like what is possible in the Qt Wiki Textile format

I am not an RoR developer, otherwise | might fix it myself

Related issues:
Is duplicate of Redmine - Feature #8121: Allow overriding direction of part o... Closed 2011-04-10

History

#1 - 2013-04-20 21:46 - Boaz Rymland
+1. I'd be happy to see this implemented. RTL is very basic these days... . Thanks.

#2 - 2013-04-21 06:38 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #8121.

#3 - 2015-01-22 07:14 - Ali Nadalizadeh

Temporary fix for persian users which converts the whole wiki paragraph to RTL (once detects persian/arabic content):

<script>
$ (document) .ready (function () {

$.each($(".wiki, .wiki-edit"), function (i, v) {
var txt = $(v).text();
for(ci in txt) {
if (txt.charCodeAt (ci) > 0x600 && txt.charCodeAt (ci) < 0x700) {
$(v).css("direction", "rtl");

break;
}
}
I N
S.each($(".issue .subject a"), function(i,v) {
var txt = $(v).text();

console.log (txt);
for(ci in txt) {
if (txt.charCodeAt (ci) > 0x600 && txt.charCodeAt (ci) < 0x700) {

$(v) .parent () .css("direction", "rtl");
$(v) .parent () .css("text-align", "right");
break;
</script>

Append the code above to the main layout file (app/views/layouts/base.html.erb) or any other javascript file which is included in all pages.
https://www.redmine.org/projects/redmine/repository/svn/revisions/8860
https://www.redmine.org/issues/2416
http://qt-project.org/wiki/TextileSyntax#8fe375ea93cd1176a1907b0fcecdb904
https://www.redmine.org/issues/8121
http://www.tcpdf.org

